#!/bin/bash

# 查找所有包含 "mogha" 关键字的进程 ID
pid=$(ps -ef | grep "mogha" | grep -v grep | awk '{print $2}')

# 循环遍历所有进程 ID
for i in $pid
do
  # 查看进程的父进程 ID，如果为1，则说明为孤儿进程
  ppid=$(ps -o ppid= -p $i)
  if [ $ppid -eq 1 ]; then
    # 杀死孤儿进程
    kill -9 $i
    echo "Killed orphan process $i"
  fi
done